### Enumeration

# Secret SchemaAttributeType

unstable since: 1

#### Declaration

    enum Secret.SchemaAttributeType

#### Description [src]

The type of an attribute in a `SecretSchema`.

Attributes are stored as strings in the Secret Service, and the attribute types simply define standard ways to store integer and boolean values as strings.

Available since: 1

#### Members

`SECRET_SCHEMA_ATTRIBUTE_STRING`

  A utf-8 string attribute.

  - Value: `0`
  - Nickname: `string`
  - Available since: 1
`SECRET_SCHEMA_ATTRIBUTE_INTEGER`

  An integer attribute, stored as a decimal.

  - Value: `1`
  - Nickname: `integer`
  - Available since: 1
`SECRET_SCHEMA_ATTRIBUTE_BOOLEAN`

  A boolean attribute, stored as ‘true’ or ‘false’

  - Value: `2`
  - Nickname: `boolean`
  - Available since: 1